#include "fastmath.hpp"

template <class T>
T calcHandels(const T curr, const T prev, const T next, T &left, T &right) {
    T prev
}

template <class T> T bezierCurve(T a, T ad, T b, T bd, float t) {
    return std::pow(1 - t, 3.0) * a + 3 * std::pow(1 - t, 2.0) * t * ad +
           3 * (1 - t) * std::pow(t, 2.0) * bd + std::pow(t, 3.0) * b;
}
